#1423 closed defect (fixed)

inconsitience in _Objects_Initialize_information

Reported by: Nickolay Semyonov-Kolchin Owned by: Joel Sherrill
Priority: normal Milestone: 4.11
Component: score Version: 4.10
Severity: minor Keywords:
Cc: vattam.santosh@…, gedare@… Blocked By:
Blocking:

Description (last modified by Sebastian Huber)

Our partners found precision lost in _Objects_Initialize_information function.

It is declared as (objectinitializeinformation.c):

void _Objects_Initialize_information(

Objects_Information *information,
Objects_APIs the_api,
uint32_t the_class,
uint32_t maximum,
uint16_t size,
bool is_string,
uint32_t maximum_name_length

#if defined(RTEMS_MULTIPROCESSING)

,
bool supports_global,
Objects_Thread_queue_Extract_callout extract

#endif
)

And later in code:

information->the_class = the_class;

But information->the_class have type uint16_t.

From object.h:

/ This is the class of this object set. */
uint16_t the_class;

Proposed solution: the_class should have same type everywhere.

Attachments (2)

objectdoth.patch (765 bytes) - added by Santosh Vattam on Dec 25, 2009 at 9:48:04 AM.
Changed the the_class type in object.h to uint32_t
pr1423.diff (2.1 KB) - added by Joel Sherrill on Aug 3, 2010 at 1:39:25 PM.
Patch which changes the_class to uint16_t

Download all attachments as: .zip

Change History (8)

comment:1 Changed on Dec 24, 2009 at 10:12:10 PM by Santosh Vattam

Cc: Santosh Vattam added

Changed on Dec 25, 2009 at 9:48:04 AM by Santosh Vattam

Attachment: objectdoth.patch added

Changed the the_class type in object.h to uint32_t

Changed on Aug 3, 2010 at 1:39:25 PM by Joel Sherrill

Attachment: pr1423.diff added

Patch which changes the_class to uint16_t

comment:2 Changed on Aug 3, 2010 at 1:39:25 PM by Joel Sherrill

attachments.isobsolete: 01

comment:3 Changed on Aug 6, 2010 at 9:36:15 PM by Joel Sherrill

Milestone: 4.104.11

comment:4 Changed on Apr 11, 2014 at 7:34:24 PM by Gedare Bloom

Cc: Gedare Bloom added

Joel, Update patch and I think it is OK to commit and close..

comment:5 Changed on Nov 23, 2014 at 2:43:23 PM by Joel Sherrill

Description: modified (diff)
Resolution: fixed
Status: newclosed

comment:6 Changed on Dec 17, 2014 at 7:25:49 AM by Sebastian Huber

Description: modified (diff)
Resolution: fixed
Status: newclosed
Note: See TracTickets for help on using tickets.